Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## local.tomas.mobile.sync.obj.desktop
Class OutlookRecurrencePattern

    java.lang.Object
      local.tomas.mobile.sync.obj.desktop.OutlookRecurrencePattern

    public class OutlookRecurrencePattern

extends java.lang.Object

Constructor Summary
`OutlookRecurrencePattern()`
`OutlookRecurrencePattern(com.jacobgen.microsoft.outlook.RecurrencePattern rp, long nullDate)`

Method Summary
`void` | `export(com.jacobgen.microsoft.outlook.RecurrencePattern rp, boolean hasDuration)`
`int` | `getDayOfMonth()`
`int` | `getDayOfWeekMask()`
`int` | `getDuration()`
`java.util.Date` | `getEndTime()`
`int` | `getInstance()`
`int` | `getInterval()`
`int` | `getMonthOfYear()`
`int` | `getOccurrences()`
`java.util.Date` | `getPatternEndDate()`
`java.util.Date` | `getPatternStartDate()`
`int` | `getRecurrenceType()`
`boolean` | `getRegenerate()`
`java.util.Date` | `getStartTime()`
`void` | `setDayOfMonth(int lastParam)`
`void` | `setDayOfWeekMask(int lastParam)`
`void` | `setDuration(int lastParam)`
`void` | `setEndTime(java.util.Date lastParam)`
`void` | `setInstance(int lastParam)`
`void` | `setInterval(int lastParam)`
`void` | `setMonthOfYear(int lastParam)`
`void` | `setOccurrences(int lastParam)`
`void` | `setPatternEndDate(java.util.Date lastParam)`
`void` | `setPatternStartDate(java.util.Date lastParam)`
`void` | `setRecurrenceType(int lastParam)`
`void` | `setRegenerate(boolean lastParam)`
`void` | `setStartTime(java.util.Date lastParam)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutlookRecurrencePattern

    public OutlookRecurrencePattern()

### OutlookRecurrencePattern

    public OutlookRecurrencePattern(com.jacobgen.microsoft.outlook.RecurrencePattern rp,
                                    long nullDate)

Method Detail

### export

    public void export(com.jacobgen.microsoft.outlook.RecurrencePattern rp,
                       boolean hasDuration)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getDayOfMonth

    public int getDayOfMonth()

### setDayOfMonth

    public void setDayOfMonth(int lastParam)

### getDayOfWeekMask

    public int getDayOfWeekMask()

### setDayOfWeekMask

    public void setDayOfWeekMask(int lastParam)

### getDuration

    public int getDuration()

### setDuration

    public void setDuration(int lastParam)

### getEndTime

    public java.util.Date getEndTime()

### setEndTime

    public void setEndTime(java.util.Date lastParam)

### getInterval

    public int getInterval()

### setInterval

    public void setInterval(int lastParam)

### getMonthOfYear

    public int getMonthOfYear()

### setMonthOfYear

    public void setMonthOfYear(int lastParam)

### getOccurrences

    public int getOccurrences()

### setOccurrences

    public void setOccurrences(int lastParam)

### getPatternEndDate

    public java.util.Date getPatternEndDate()

### setPatternEndDate

    public void setPatternEndDate(java.util.Date lastParam)

### getPatternStartDate

    public java.util.Date getPatternStartDate()

### setPatternStartDate

    public void setPatternStartDate(java.util.Date lastParam)

### getRecurrenceType

    public int getRecurrenceType()

### setRecurrenceType

    public void setRecurrenceType(int lastParam)

### getRegenerate

    public boolean getRegenerate()

### setRegenerate

    public void setRegenerate(boolean lastParam)

### getStartTime

    public java.util.Date getStartTime()

### setStartTime

    public void setStartTime(java.util.Date lastParam)

### getInstance

    public int getInstance()

### setInstance

    public void setInstance(int lastParam)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 null. All Rights Reserved.